## cantor 22.04.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.13 FATAL_ERROR)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set (RELEASE_SERVICE_VERSION_MAJOR "22")
set (RELEASE_SERVICE_VERSION_MINOR "04")
set (RELEASE_SERVICE_VERSION_MICRO "0")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(cantor VERSION ${RELEASE_SERVICE_VERSION})

set(KF5_MIN_VERSION "5.70.0")

find_package(ECM 5.15.0 REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${cantor_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddAppIcon)
include(KDEClangFormat)
include(GenerateExportHeader)
include(FeatureSummary)

set( SharedMimeInfo_MINIMUM_VERSION "1.3" ) #TODO: What is the minimum required version?
find_package(SharedMimeInfo ${SharedMimeInfo_MINIMUM_VERSION} REQUIRED)

find_package(Qt5 5.8.0 CONFIG REQUIRED
    Core
    Widgets
    PrintSupport
    Svg
    Xml
    XmlPatterns
    Test
    Help
    WebEngine
    WebEngineWidgets)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
    Config
    Crash
    Completion
    DocTools
    NewStuff
    IconThemes
    TextEditor
    CoreAddons
    Archive
    Parts
    SyntaxHighlighting
    TextWidgets
    KIO
    XmlGui
    I18n
)

find_package(Poppler "0.62.0" REQUIRED COMPONENTS Qt5)


if(NOT WIN32)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED Pty)
endif()

option(USE_LIBSPECTRE "Use libspectre library" ON)

add_subdirectory(thirdparty)
# Need to set this here, because variable can't move from subdirectory (thirdparty) to upper cmake scope
set(Discount_FOUND TRUE)

if(NOT WIN32 AND USE_LIBSPECTRE)
    set_package_properties(LibSpectre PROPERTIES DESCRIPTION "A PostScript rendering library"
        URL "https://www.freedesktop.org/wiki/Software/libspectre/"
        TYPE OPTIONAL
        PURPOSE "Support for rendering EPS files in Cantor")

    find_package(LibSpectre)
    if(LIBSPECTRE_FOUND)
        set(WITH_EPS On)
    else(LIBSPECTRE_FOUND)
        set(WITH_EPS Off)
    endif(LIBSPECTRE_FOUND)

else()
    set(WITH_EPS Off)
endif()

#[[
find_package(Discount 2.2.0)
set_package_properties(Discount PROPERTIES DESCRIPTION "A C implementation of the Markdown markup language"
    URL "https://www.pell.portland.or.us/~orc/Code/discount/"
    TYPE OPTIONAL
    PURPOSE "Used for Markdown entries in Cantor")
]]#

add_definitions(
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
)
if (NOT WIN32)
    # Strict iterators can't be used on Windows, they lead to a link error
    # when application code iterates over a QVector<QPoint> for instance, unless
    # Qt itself was also built with strict iterators.
    # See example at https://bugreports.qt.io/browse/AUTOSUITE-946
    add_definitions(-DQT_STRICT_ITERATORS)
endif()

if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU" OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic")

   # both gcc & clang support it since the same version
   if (CMAKE_CXX_COMPILER_VERSION VERSION_GREATER_EQUAL 5.0.0)
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wzero-as-null-pointer-constant" )
   endif()
endif()

set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -DQT_NO_DEBUG_OUTPUT")

kde_enable_exceptions()

# FIXME Looks like docbook on Windows don't buildable at all, so it are temporarily disabled
if(NOT WIN32)
    add_subdirectory(doc)
endif(NOT WIN32)
add_subdirectory(src)
add_subdirectory(icons)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/Cantor")
configure_package_config_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/CantorConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/CantorConfig.cmake
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}/
    #PATH_VARS INCLUDE_INSTALL_DIR SYSCONFIG_INSTALL_DIR
)

ecm_setup_version(${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX CANTOR
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/cantor_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/CantorConfigVersion.cmake"
)
install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/CantorConfig.cmake
          ${CMAKE_CURRENT_BINARY_DIR}/CantorConfigVersion.cmake
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT Devel
)

install(EXPORT CantorTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE CantorTargets.cmake
    NAMESPACE Cantor::
)


ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()
install(FILES org.kde.cantor.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
cantor (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:43:04 +0100

=== debian/control ===
Source: cantor
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.13~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.49.0~),
               gettext,
               libanalitza-dev (>= 4:22.04.0~),
               libglib2.0-dev,
               libkf5archive-dev (>= 5.70.0~),
               libkf5completion-dev (>= 5.70.0~),
               libkf5config-dev (>= 5.70.0~),
               libkf5coreaddons-dev (>= 5.70.0~),
               libkf5crash-dev (>= 5.70.0~),
               libkf5doctools-dev (>= 5.70.0~),
               libkf5i18n-dev (>= 5.70.0~),
               libkf5iconthemes-dev (>= 5.70.0~),
               libkf5kio-dev (>= 5.70.0~),
               libkf5newstuff-dev (>= 5.70.0~),
               libkf5parts-dev (>= 5.70.0~),
               libkf5pty-dev (>= 5.70.0~),
               libkf5syntaxhighlighting-dev (>= 5.70.0~),
               libkf5texteditor-dev (>= 5.70.0~),
               libkf5textwidgets-dev (>= 5.70.0~),
               libkf5xmlgui-dev (>= 5.70.0~),
               liblapack3,
               libluajit-5.1-dev [i386 amd64],
               libmarkdown2-dev,
               libpoppler-qt5-dev (>= 0.62.0~),
               libqalculate-dev (>= 3.8.0~),
               libqt5svg5-dev (>= 5.8.0~),
               libqt5xmlpatterns5-dev (>= 5.8.0~),
               libspectre-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               python3-dev,
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev (>= 5.8.0~),
               qtwebengine5-dev (>= 5.8.0~),
               r-base-core,
               shared-mime-info (>= 1.3~),
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://edu.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor

Package: cantor
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: cantor-backend-qalculate, texlive-binaries, texlive-latex-base
Suggests: cantor-backend-kalgebra,
          cantor-backend-lua [i386 amd64],
          cantor-backend-maxima,
          cantor-backend-octave,
          cantor-backend-python3,
          cantor-backend-r,
          cantor-backend-sage,
          cantor-backend-scilab [amd64 arm64 ppc64el s390x],
Description: interface for mathematical applications
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 Cantor supports various mathematical applications as backends (provided in
 external packages):
  * Maxima Computer Algebra System (cantor-backend-maxima)
  * R Project for Statistical Computing (cantor-backend-r)
  * Sage Mathematics Software (cantor-backend-sage)
  * Octave (cantor-backend-octave)
  * Python (cantor-backend-python3)
  * Scilab (cantor-backend-scilab)
  * Qalculate! (cantor-backend-qalculate)
  * Lua (cantor-backend-lua)
 .
 This package is part of the KDE education module.

Package: libcantorlibs28
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: cantor (<< 4:20.12.0-2~)
Breaks: cantor (<< 4:20.12.0-2~)
Description: interface for mathematical applications - shared library
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the shared library for Cantor.
 .
 This package is part of the KDE education module.

Package: libcantor-dev
Architecture: any
Section: libdevel
Depends: libcantorlibs28 (=  ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: interface for mathematical applications - development files
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the development headers for Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-kalgebra
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KAlgebra backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using KAlgebra
 (https://edu.kde.org/kalgebra) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-lua
Architecture: amd64 i386
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Lua backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Lua language
 (https://www.lua.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-maxima
Architecture: any
Section: math
Depends: maxima, ${misc:Depends}, ${shlibs:Depends}
Description: Maxima backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Maxima Computer Algebra System
 (http://maxima.sourceforge.net) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-octave
Architecture: any
Section: math
Depends: octave, ${misc:Depends}, ${shlibs:Depends}
Description: Octave backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the GNU Octave language for
 numerical computations (https://www.octave.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-python3
Architecture: any
Section: math
Depends: python3, ${misc:Depends}, ${shlibs:Depends}
Breaks: libcantor-pythonbackend (<< 4:20.04.2~)
Replaces: libcantor-pythonbackend (<< 4:20.04.2~)
Description: Python3 backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Python3 language
 (https://www.python.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-qalculate
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qalculate! backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Qalculate! calculator
 (https://qalculate.github.io/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-r
Architecture: any
Section: math
Depends: r-base-core, ${misc:Depends}, ${shlibs:Depends}
Suggests: r-base-html
Description: R backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the R Project for Statistical
 Computing (https://www.r-project.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-sage
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: sagemath
Description: Sage backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Sage Mathematics Software
 (https://www.sagemath.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-scilab
Architecture: amd64 arm64 ppc64el s390x
Section: math
Depends: scilab-cli, ${misc:Depends}, ${shlibs:Depends}
Description: Scilab backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Scilab scientific software
 package for numerical computations (https://www.scilab.org) in Cantor.
 .
 This package is part of the KDE education module.

## cantor 22.04.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 set (RELEASE_SERVICE_VERSION_MAJOR "22")
 set (RELEASE_SERVICE_VERSION_MINOR "04")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cantor VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
cantor (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:53:15 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.49.0~),
                gettext,
-               libanalitza-dev (>= 4:22.04.0~),
+               libanalitza-dev (>= 4:22.04.1~),
                libglib2.0-dev,
                libkf5archive-dev (>= 5.70.0~),
                libkf5completion-dev (>= 5.70.0~),

## cantor 22.04.2

=== src/assistants/plot2d/CMakeLists.txt ===
set( Plot2dAssistant_SRCS
     plot2dassistant.cpp
)

ki18n_wrap_ui(Plot2dAssistant_SRCS plot2ddlg.ui)

add_assistant(plot2dassistant ${Plot2dAssistant_SRCS})

install( FILES cantor_plot2d_assistant.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/cantor )

=== src/backends/lua/CMakeLists.txt ===
set(LuaBackend_SRCS
  luabackend.cpp
  luasession.cpp
  luaexpression.cpp
  luacompletionobject.cpp
  luahelper.cpp
  luakeywords.cpp
  luahighlighter.cpp
  luaextensions.cpp
  luasettingswidget.cpp
  ../backendsettingswidget.cpp
)

kconfig_add_kcfg_files(LuaBackend_SRCS settings.kcfgc)
install(FILES luabackend.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

ki18n_wrap_ui(LuaBackend_SRCS settings.ui)

add_backend(luabackend ${LuaBackend_SRCS})

include_directories(${LUAJIT_INCLUDE_DIR})

target_link_libraries(cantor_luabackend cantor_help ${LUAJIT_LIBRARY} KF5::SyntaxHighlighting)

if(BUILD_TESTING)
  add_executable( testlua testlua.cpp)
  add_test(NAME testlua COMMAND testlua)
  ecm_mark_as_test(testlua)
  target_link_libraries( testlua
    Qt5::Test
    cantorlibs
    cantortest
  )
endif(BUILD_TESTING)

install(FILES cantor_lua.knsrc  DESTINATION  ${KDE_INSTALL_KNSRCDIR} )

=== src/assistants/linearalgebra/creatematrix/CMakeLists.txt ===
set( CreateMatrixAssistant_SRCS
     creatematrixassistant.cpp
     creatematrixdlg.cpp
)

ki18n_wrap_ui(CreateMatrixAssistant_SRCS creatematrixdlg.ui)

add_assistant(creatematrixassistant ${CreateMatrixAssistant_SRCS})

install( FILES cantor_create_matrix_assistant.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/cantor )

=== debian/changelog ===
cantor (4:22.04.2-2) unstable; urgency=medium

  * Upload to unstable.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.
  * Drop the unused ${shlibs:Depends} substvar from libcantor-dev.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Jul 2022 05:52:58 +0200

cantor (4:22.04.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 10 Jun 2022 08:01:07 +0200

cantor (4:22.04.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - fixes build with KSyntaxHighlighting 5.94.0+ (Closes: #1012535)
  * Bump Standards-Version to 4.6.1, no changes required.
  * Update symbols file.
  * The cantorlibs library broke ABI without an SONAME bump (sigh); hence,
    apply the DebianABIManager to do a local SONAME bump:
    - add patch enable_debianabimanager.diff
    - rename libcantorlibs28 to libcantorlibs28abi1
    - update install & symbols files accordingly
  * Split the data of libcantorlibs to a separate data package, so there are
    less conflicts on upgrades:
    - create a new libcantorlibs-data arch:all binary package with the data
      files of libcantorlibs28abi1
    - make libcantorlibs28abi1 depend on libcantorlibs-data
    - adjust the breaks/replaces in libcantorlibs28abi1 & libcantorlibs-data

 -- Pino Toscano <pino@debian.org>  Thu, 09 Jun 2022 09:03:31 +0200

cantor (4:21.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - discount-build-verbose.diff: drop, fixed upstream
  * Replace the python3-dev build dependency with libpython3-dev: cantor builds
    a plugin using the Python library, so explicitly using the library -dev
    should make the situation more explicit.

 -- Pino Toscano <pino@debian.org>  Sun, 06 Mar 2022 12:22:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: cantor
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>,
-           Norbert Preining <norbert@preining.info>,
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.13~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.49.0~),
                gettext,
-               libanalitza-dev (>= 4:22.04.1~),
+               libanalitza-dev (>> 4:15.08),
                libglib2.0-dev,
                libkf5archive-dev (>= 5.70.0~),
                libkf5completion-dev (>= 5.70.0~),
@@ -31,23 +29,23 @@
                libluajit-5.1-dev [i386 amd64],
                libmarkdown2-dev,
                libpoppler-qt5-dev (>= 0.62.0~),
+               libpython3-dev,
                libqalculate-dev (>= 3.8.0~),
                libqt5svg5-dev (>= 5.8.0~),
                libqt5xmlpatterns5-dev (>= 5.8.0~),
                libspectre-dev,
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
-               python3-dev,
                qtbase5-dev (>= 5.8.0~),
                qttools5-dev (>= 5.8.0~),
                qtwebengine5-dev (>= 5.8.0~),
                r-base-core,
                shared-mime-info (>= 1.3~),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://edu.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/cantor
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/cantor.git
 
 Package: cantor
 Architecture: any
@@ -81,12 +79,13 @@
  .
  This package is part of the KDE education module.
 
-Package: libcantorlibs28
+Package: libcantorlibs28abi1
+X-Debian-ABI: 1
+X-CMake-Target: cantorlibs
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: cantor (<< 4:20.12.0-2~)
-Breaks: cantor (<< 4:20.12.0-2~)
+Depends: ${misc:Depends}, ${shlibs:Depends},
+         libcantorlibs-data (>= ${source:Version}),
 Description: interface for mathematical applications - shared library
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -97,12 +96,27 @@
  .
  This package is part of the KDE education module.
 
+Package: libcantorlibs-data
+Architecture: all
+Section: libs
+Depends: ${misc:Depends},
+Replaces: cantor (<< 4:20.12.0-2~), libcantorlibs28 (<< 4:22.04.1-1~),
+Breaks: cantor (<< 4:20.12.0-2~), libcantorlibs28 (<< 4:22.04.1-1~),
+Description: interface for mathematical applications - data for shared library
+ Cantor is an application to allow you to you use your favorite mathematical
+ applications from within an elegant worksheet interface. It provides dialogs
+ to assist with common tasks and allows you to share your worksheets
+ with others.
+ .
+ This package provides the data for the shared library for Cantor.
+ .
+ This package is part of the KDE education module.
+
 Package: libcantor-dev
 Architecture: any
 Section: libdevel
-Depends: libcantorlibs28 (=  ${binary:Version}),
+Depends: libcantorlibs28abi1 (=  ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
 Description: interface for mathematical applications - development files
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs

## cantor 22.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 set (RELEASE_SERVICE_VERSION_MAJOR "22")
 set (RELEASE_SERVICE_VERSION_MINOR "04")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cantor VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
cantor (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:22:53 +0100

cantor (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:56:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: cantor
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Pino Toscano <pino@debian.org>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sune Vuorela <sune@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.13~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.49.0~),
                gettext,
-               libanalitza-dev (>> 4:15.08),
+               libanalitza-dev (>= 4:22.04.3~),
                libglib2.0-dev,
                libkf5archive-dev (>= 5.70.0~),
                libkf5completion-dev (>= 5.70.0~),
@@ -29,23 +31,23 @@
                libluajit-5.1-dev [i386 amd64],
                libmarkdown2-dev,
                libpoppler-qt5-dev (>= 0.62.0~),
-               libpython3-dev,
                libqalculate-dev (>= 3.8.0~),
                libqt5svg5-dev (>= 5.8.0~),
                libqt5xmlpatterns5-dev (>= 5.8.0~),
                libspectre-dev,
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
+               python3-dev,
                qtbase5-dev (>= 5.8.0~),
                qttools5-dev (>= 5.8.0~),
                qtwebengine5-dev (>= 5.8.0~),
                r-base-core,
                shared-mime-info (>= 1.3~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://edu.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/cantor
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/cantor.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor
 
 Package: cantor
 Architecture: any
@@ -79,13 +81,12 @@
  .
  This package is part of the KDE education module.
 
-Package: libcantorlibs28abi1
-X-Debian-ABI: 1
-X-CMake-Target: cantorlibs
+Package: libcantorlibs28
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends},
-         libcantorlibs-data (>= ${source:Version}),
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: cantor (<< 4:20.12.0-2~)
+Breaks: cantor (<< 4:20.12.0-2~)
 Description: interface for mathematical applications - shared library
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -96,27 +97,12 @@
  .
  This package is part of the KDE education module.
 
-Package: libcantorlibs-data
-Architecture: all
-Section: libs
-Depends: ${misc:Depends},
-Replaces: cantor (<< 4:20.12.0-2~), libcantorlibs28 (<< 4:22.04.1-1~),
-Breaks: cantor (<< 4:20.12.0-2~), libcantorlibs28 (<< 4:22.04.1-1~),
-Description: interface for mathematical applications - data for shared library
- Cantor is an application to allow you to you use your favorite mathematical
- applications from within an elegant worksheet interface. It provides dialogs
- to assist with common tasks and allows you to share your worksheets
- with others.
- .
- This package provides the data for the shared library for Cantor.
- .
- This package is part of the KDE education module.
-
 Package: libcantor-dev
 Architecture: any
 Section: libdevel
-Depends: libcantorlibs28abi1 (=  ${binary:Version}),
+Depends: libcantorlibs28 (=  ${binary:Version}),
          ${misc:Depends},
+         ${shlibs:Depends},
 Description: interface for mathematical applications - development files
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs

## cantor 22.08.0

=== debian/changelog ===
cantor (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update lintian overrides

  [ Rik Mills ]
  * New upstream release (22.08.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:45:41 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.49.0~),
                gettext,
-               libanalitza-dev (>= 4:22.04.3~),
+               libanalitza-dev (>= 4:22.08.0~),
                libglib2.0-dev,
                libkf5archive-dev (>= 5.70.0~),
                libkf5completion-dev (>= 5.70.0~),

## cantor 22.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "04")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cantor VERSION ${RELEASE_SERVICE_VERSION})

=== src/backends/qalculate/CMakeLists.txt ===
add_subdirectory(plotassistant)
project(cantor-qalculate-backend)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS} -Wno-deprecated")
add_definitions(${QALCULATE_CFLAGS})
if (QALCULATE_VERSION VERSION_GREATER_EQUAL 3.11.0)
  add_compile_definitions(QALCULATE_NEED_DISABLE_COLOR)
endif()

set( QalculateBackend_SRCS
  qalculatesyntaxhelpobject.cpp
  qalculatebackend.cpp
  qalculatesession.cpp
  qalculatehighlighter.cpp
  qalculateexpression.cpp
  qalculateextensions.cpp
  qalculatecompletionobject.cpp
  qalculateextensions.cpp
  qalculatesettingswidget.cpp
  ../backendsettingswidget.cpp
)

kconfig_add_kcfg_files(QalculateBackend_SRCS settings.kcfgc)
install(FILES qalculatebackend.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

ki18n_wrap_ui(QalculateBackend_SRCS settings.ui)

add_backend(qalculatebackend ${QalculateBackend_SRCS})

if (QALCULATE_VERSION VERSION_LESS 2.0.0)
  target_link_libraries( cantor_qalculatebackend cantorlibs cantor_help ${QALCULATE_LIBRARIES} ${CLN_LIBRARIES})
else()
  target_link_libraries( cantor_qalculatebackend cantorlibs cantor_help ${QALCULATE_LIBRARIES})
endif()

install( FILES cantor_qalculate.knsrc  DESTINATION  ${KDE_INSTALL_KNSRCDIR} )

=== debian/changelog ===
cantor (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:35:17 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.49.0~),
                gettext,
-               libanalitza-dev (>= 4:22.08.0~),
+               libanalitza-dev (>= 4:22.08.1~),
                libglib2.0-dev,
                libkf5archive-dev (>= 5.70.0~),
                libkf5completion-dev (>= 5.70.0~),

## cantor 22.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 set (RELEASE_SERVICE_VERSION_MAJOR "22")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cantor VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
cantor (4:22.08.2-0ubuntu1) kinetic; urgency=medium

  * New upstream bugfix release (22.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Oct 2022 08:13:50 +0100

## cantor 22.08.3

=== debian/changelog ===
cantor (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:04:37 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.49.0~),
                gettext,
-               libanalitza-dev (>= 4:22.08.1~),
+               libanalitza-dev (>= 4:22.08.3~),
                libglib2.0-dev,
                libkf5archive-dev (>= 5.70.0~),
                libkf5completion-dev (>= 5.70.0~),

## cantor 22.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,13 +4,13 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cantor VERSION ${RELEASE_SERVICE_VERSION})
 
-set(KF5_MIN_VERSION "5.70.0")
+set(KF5_MIN_VERSION "5.91.0")
 
 find_package(ECM 5.15.0 REQUIRED CONFIG)
 set(CMAKE_MODULE_PATH ${cantor_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )

=== debian/changelog ===
cantor (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:00:53 +0000

cantor (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:47:08 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.49.0~),
                gettext,
-               libanalitza-dev (>= 4:22.08.3~),
+               libanalitza-dev (>= 4:22.11.90~),
                libglib2.0-dev,
                libkf5archive-dev (>= 5.70.0~),
                libkf5completion-dev (>= 5.70.0~),

## cantor 22.12.0

=== debian/changelog ===
cantor (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Added myself to the uploaders.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).
  * Update symbols from build for 22.12.0.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,53 +1,52 @@
 Source: cantor
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>,
-           Norbert Preining <norbert@preining.info>,
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.13~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.49.0~),
                gettext,
-               libanalitza-dev (>= 4:22.11.90~),
+               libanalitza-dev (>> 4:15.08),
                libglib2.0-dev,
-               libkf5archive-dev (>= 5.70.0~),
-               libkf5completion-dev (>= 5.70.0~),
-               libkf5config-dev (>= 5.70.0~),
-               libkf5coreaddons-dev (>= 5.70.0~),
-               libkf5crash-dev (>= 5.70.0~),
-               libkf5doctools-dev (>= 5.70.0~),
-               libkf5i18n-dev (>= 5.70.0~),
-               libkf5iconthemes-dev (>= 5.70.0~),
-               libkf5kio-dev (>= 5.70.0~),
-               libkf5newstuff-dev (>= 5.70.0~),
-               libkf5parts-dev (>= 5.70.0~),
-               libkf5pty-dev (>= 5.70.0~),
-               libkf5syntaxhighlighting-dev (>= 5.70.0~),
-               libkf5texteditor-dev (>= 5.70.0~),
-               libkf5textwidgets-dev (>= 5.70.0~),
-               libkf5xmlgui-dev (>= 5.70.0~),
+               libkf5archive-dev (>= 5.91.0~),
+               libkf5completion-dev (>= 5.91.0~),
+               libkf5config-dev (>= 5.91.0~),
+               libkf5coreaddons-dev (>= 5.91.0~),
+               libkf5crash-dev (>= 5.91.0~),
+               libkf5doctools-dev (>= 5.91.0~),
+               libkf5i18n-dev (>= 5.91.0~),
+               libkf5iconthemes-dev (>= 5.91.0~),
+               libkf5kio-dev (>= 5.91.0~),
+               libkf5newstuff-dev (>= 5.91.0~),
+               libkf5parts-dev (>= 5.91.0~),
+               libkf5pty-dev (>= 5.91.0~),
+               libkf5syntaxhighlighting-dev (>= 5.91.0~),
+               libkf5texteditor-dev (>= 5.91.0~),
+               libkf5textwidgets-dev (>= 5.91.0~),
+               libkf5xmlgui-dev (>= 5.91.0~),
                liblapack3,
                libluajit-5.1-dev [i386 amd64],
                libmarkdown2-dev,
                libpoppler-qt5-dev (>= 0.62.0~),
+               libpython3-dev,
                libqalculate-dev (>= 3.8.0~),
                libqt5svg5-dev (>= 5.8.0~),
                libqt5xmlpatterns5-dev (>= 5.8.0~),
                libspectre-dev,
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
-               python3-dev,
                qtbase5-dev (>= 5.8.0~),
                qttools5-dev (>= 5.8.0~),
                qtwebengine5-dev (>= 5.8.0~),
                r-base-core,
                shared-mime-info (>= 1.3~),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://edu.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/cantor
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/cantor.git
 
 Package: cantor
 Architecture: any
@@ -81,28 +80,44 @@
  .
  This package is part of the KDE education module.
 
-Package: libcantorlibs28
+Package: libcantorlibs28abi1
+X-Debian-ABI: 1
+X-CMake-Target: cantorlibs
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: cantor (<< 4:20.12.0-2~)
-Breaks: cantor (<< 4:20.12.0-2~)
-Description: interface for mathematical applications - shared library
- Cantor is an application to allow you to you use your favorite mathematical
- applications from within an elegant worksheet interface. It provides dialogs
- to assist with common tasks and allows you to share your worksheets
- with others.
- .
- This package provides the shared library for Cantor.
- .
- This package is part of the KDE education module.
-
-Package: libcantor-dev
-Architecture: any
-Section: libdevel
-Depends: libcantorlibs28 (=  ${binary:Version}),
+Depends: libcantorlibs-data (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
+Description: interface for mathematical applications - shared library
+ Cantor is an application to allow you to you use your favorite mathematical
+ applications from within an elegant worksheet interface. It provides dialogs
+ to assist with common tasks and allows you to share your worksheets
+ with others.
+ .
+ This package provides the shared library for Cantor.
+ .
+ This package is part of the KDE education module.
+
+Package: libcantorlibs-data
+Architecture: all
+Section: libs
+Depends: ${misc:Depends}
+Replaces: cantor (<< 4:20.12.0-2~), libcantorlibs28 (<< 4:22.04.1-1~)
+Breaks: cantor (<< 4:20.12.0-2~), libcantorlibs28 (<< 4:22.04.1-1~)
+Description: interface for mathematical applications - data for shared library
+ Cantor is an application to allow you to you use your favorite mathematical
+ applications from within an elegant worksheet interface. It provides dialogs
+ to assist with common tasks and allows you to share your worksheets
+ with others.
+ .
+ This package provides the data for the shared library for Cantor.
+ .
+ This package is part of the KDE education module.
+
+Package: libcantor-dev
+Architecture: any
+Section: libdevel
+Depends: libcantorlibs28abi1 (=  ${binary:Version}), ${misc:Depends}
 Description: interface for mathematical applications - development files
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs

## cantor 22.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cantor VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
cantor (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:58:35 +0100

=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
                qtwebengine5-dev (>= 5.8.0~),
                r-base-core,
                shared-mime-info (>= 1.3~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://edu.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/cantor
